using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Benday.WebLoadTest.Utilities;
using Microsoft.VisualStudio.TestTools.WebTesting;
using System.Collections.Generic;

namespace Benday.WebLogTest.UnitTests
{
    public class StubContextValueProvider : IContextValueProvider
    {

        public StubContextValueProvider()
        {

        }

        private Dictionary<string, string> _Dictionary = new Dictionary<string, string>();

        public string GetValue(string key)
        {
            if (_Dictionary.ContainsKey(key) == false)
            {
                return null;
            }
            else
            {
                return _Dictionary[key];
            }
        }

        public void SetValue(string key, string value)
        {
            if (_Dictionary.ContainsKey(key) == true)
            {
                _Dictionary.Remove(key);
            }

            _Dictionary.Add(key, value);
        }
    }
}
